summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xtools/run-nm-test.sh16
1 files changed, 8 insertions, 8 deletions
diff --git a/tools/run-nm-test.sh b/tools/run-nm-test.sh
index 7159ad8a17..b631c76426 100755
--- a/tools/run-nm-test.sh
+++ b/tools/run-nm-test.sh
@@ -138,6 +138,14 @@ else
fi
+if _is_true "$NMTST_MAKE_FIRST" 0; then
+ git_dir="$(readlink -f "$(git rev-parse --show-toplevel)")"
+ rel_path="$(realpath --relative-to="$git_dir" -m "$TEST" 2>/dev/null)" || die "cannot resolve test-name \"$TEST\". Did you call the script properly?"
+ cd "$git_dir"
+ make -j5 "$rel_path" || die "make of $TEST failed ($git_dir / $rel_path)"
+ cd - 1>/dev/null
+fi
+
[ -x "$TEST" ] || die "Test \"$TEST\" does not exist"
TEST_PATH="$(readlink -f "$(dirname "$TEST")")"
TEST_NAME="${TEST##*/}"
@@ -151,14 +159,6 @@ if [ -z "${NMTST_LAUNCH_DBUS}" ]; then
fi
fi
-if _is_true "$NMTST_MAKE_FIRST" 0; then
- git_dir="$(readlink -f "$(git rev-parse --show-toplevel)")"
- rel_path="${TEST_PATH/#$(printf '%s/' "$git_dir")}/$TEST_NAME"
- cd "$git_dir"
- make -j5 "$rel_path" || die "make of $TEST failed ($git_dir / $rel_path)"
- cd - 1>/dev/null
-fi
-
# if the user wishes, change first into the directory of the test
if _is_true "$NMTST_CHANGE_DIRECTORY" 0; then
cd "$TEST_PATH"